Bug 40851 - fs image in netstg2.img is too large to fit into ramdisk
Summary: fs image in netstg2.img is too large to fit into ramdisk
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: installer   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-16 10:42 UTC by Vladimir Kondratiev
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-25 17:14:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vladimir Kondratiev 2001-05-16 10:42:47 UTC
Description of Problem:

When I install RawHide (image as of May 16) directly from ftp.redhat.com
via ftp, I am always getting the following error:
"Error mounting /dev/ram4 on /mnt/runtime/usr (No space left on device).
This shouldn't happen, and I'm rebooting your system now."
This happens after /base/netstg2.img was successfully retreived.
Last message on 3-rd console is "* done loading 4718592 bytes"
I used fresh downloaded pcmcia.img and pcmciadd.img

How Reproducible:
Every time.

Steps to Reproduce:
1.boot from pcmcia.img, then install pcmciadd.img when prompted 
2. start installation from ftp://ftp.redhat.com/pub/redhat/linux/rawhide/i386
 

Actual Results:
Installation fails

Expected Results:
Linux installed

Additional Information:
Computer I am installing to is IBM Thinkpad 600E, 128Mb RAM, 6Gb IDE disk,
Intel EtherPro PCMCIA ethernet card. On 3-rd console there is
"* 126704 kB are available" message, i.e. memory recognized properly.
I already had RH 7.0 installed on this laptop via ftp with no problems.

Comment 1 Vladimir Kondratiev 2001-05-16 12:02:53 UTC
ramdisks /dev/ram* have 4Mb size limit (4096 1k records).
netstg2.img has 4608 1k records.
However, ext2 image contained in this file has some free space. There are only
3664k used. I suppose, one may just shrink fs image.


Comment 2 Brent Fox 2001-06-13 03:39:34 UTC
Do you still see this problem in the more recent Rawhide releases?

Comment 3 Brent Fox 2001-06-25 17:14:37 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.